# Stats API

## Get TX Revshare Info

<mark style="color:green;">`GET`</mark> [https://sol-analytics.kolibr.io/transaction/{TX\_SIGNATURE}](https://sol-analytics.kolibr.io/transaction/%7BTX_SIGNATURE%7D)

The Stats endpoint provides summarized information about transactions received by Kolibrio, along with any associated revenue details.

**Headers**

| Name          | Value                                                                                      |
| ------------- | ------------------------------------------------------------------------------------------ |
| Authorization | *The authentication header should be the same as the one used for RPC broadcast requests.* |

\
**Response Body**

<table><thead><tr><th width="329">Name</th><th width="102">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>backrun_exist</strong></td><td>bool</td><td>Indicates whether any backrun transactions have been landed</td></tr><tr><td><strong>backrun_signature</strong></td><td>string</td><td>A signature of landed backrun transaction</td></tr><tr><td><strong>revshare_info.</strong><br><strong>revshare_signature</strong></td><td>string</td><td>A signature of the on-chain transaction that executes the revenue split across participating parties</td></tr><tr><td><strong>revshare_info.</strong><br><strong>total_arbitrage_revenue_lamports</strong></td><td>number</td><td>The total revenue extracted from an arbitrage opportunity (in lamports)</td></tr><tr><td><strong>revshare_info.</strong><br><strong>jito_tip_lamports</strong></td><td>number</td><td>The amount paid to Jito for bundle inclusion  (in lamports)</td></tr><tr><td><strong>revshare_info.</strong><br><strong>kolibrio_tip_lamports</strong></td><td>number</td><td>Kolibrio fee (in lamports)</td></tr><tr><td><strong>revshare_info.</strong><br><strong>originator_tip_lamports</strong></td><td>object</td><td>A mapping of Solana addresses to the lamport amounts paid to each originator partner. These recipients are determined by the <strong>rev_recv</strong> setting in the RPC request or through custom configuration.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200. Arb Exist" %}

```json
{
    "backrun_exist": true,
    "backrun_signature": "...SiGnAtTuRe...",
    "revshare_info": {
      "revshare_signature": "...SiGnAtTuRe...",
      "total_arbitrage_revenue_lamports": 1234,
      "jito_tip_lamports": 1234,
      "kolibrio_tip_lamports": 1234,
      "originator_tip_lamports": {
        "..SoLaDdReSs": 1234,
        "..SoLaDdReSs": 1234
        // ... more Solana addresses and their tip amounts
      },
    }
}

```

{% endtab %}

{% tab title="200. Arb Not Found" %}

```json
{
    "backrun_exist":false,
    "revahsare_info":null,
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kolibrio.xyz/kolibrio-orderflow-service/solana/advanced/stats-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
